################################################################################
#
# Copyright 2014
# Author Imran Shakir
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#
# Contributors:
# Imran Shakir - initial implementation
#
################################################################################

# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'iib/version'

Gem::Specification.new do |spec|
  spec.name          = "iib"
  spec.version       = IIB::VERSION
  spec.authors       = ["ishakir"]
  spec.email         = ["shakimra@uk.ibm.com"]
  spec.summary       = %q{Interact with IBM Integration Bus resources}
  spec.description   = %q{Allows you to interact with IBM Integration Bus resources using either the REST API of an Integration Node or the CLI}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"

  spec.add_runtime_dependency 'mixlib-shellout'
end
